<?php
/**
 * Bloog Lite Functions
 *
 * @package Bloog Lite
 */

if ( ! function_exists( 'is_plugin_active' ) ){
    require_once( ABSPATH . '/wp-admin/includes/plugin.php' );
}

    // to insert box or full width design in homepage.
   // if(is_home()|| is_front_page()){
if( ! function_exists( 'custom_header_tag' ) ){
    function custom_header_tag($classes){
        if(is_home() || is_front_page()){
            $header_class = get_theme_mod('homepage_layout_setting','fullwidth-home');
        }else{
            $header_class = '';    
        }
        $classes[] = $header_class;
        return $classes;
    }
}
add_filter( 'body_class', 'custom_header_tag' );
    //}
    // to insert box or full width design in category page.
if( ! function_exists( 'custom_header_tag_category_page' ) ){
    function custom_header_tag_category_page($classes){
        if(is_category()){
            $header_class = get_theme_mod('categorypage_layout_setting','fullwidth-category-page');
        }else{
            $header_class = '';
        }
        $classes[] = $header_class;
        return $classes;
    }
}
add_filter( 'body_class', 'custom_header_tag_category_page' );

    // to insert box or full width design in Single page.
if( ! function_exists( 'custom_header_tag_single_page' ) ){
    function custom_header_tag_single_page($classes){
        if(is_single() || is_page_template('tpl-about.php') || is_page('contact-us')){
            $header_class = get_theme_mod('single_page_layout_setting','fullwidth-single-page');
        }else{
            $header_class = '';
        }
        $classes[] = $header_class;
        return $classes;
    }
}
add_filter( 'body_class', 'custom_header_tag_single_page' );


    // to enque jquery 
if(! function_exists('bloog_lite_additional_scripts')){
 function bloog_lite_additional_scripts() {
     wp_enqueue_style( 'font-awesome', get_template_directory_uri().'/css/fawesome/css/font-awesome.css' );
     wp_enqueue_script( 'jquery-bxslider-js', get_template_directory_uri() . '/js/jquery.bxslider.js', array('jquery') );
 }
}
add_action( 'wp_enqueue_scripts', 'bloog_lite_additional_scripts' );


add_action( 'admin_enqueue_scripts', 'bloog_lite_media_uploader' );


function bloog_lite_media_uploader( $hook )
{
    if( 'widgets.php' == $hook || 'customize.php' == $hook  ) {

        wp_enqueue_script('bloog-lite-admin-custom-js', get_template_directory_uri().'/inc/admin-panel/js/custom.js', array('jquery'),'1.0',true);
        wp_enqueue_style( 'admin-style', get_template_directory_uri().'/inc/admin-panel/css/admin.css' );
        wp_enqueue_script( 
            'uploader-script', 
            get_template_directory_uri().'/inc/admin-panel/js/media-uploader.js', 
                array(), // dependencies
                false, // version
                true // on footer
                );
        wp_enqueue_media();
    }
}

//Dynamic styles on header
function bloog_lite_header_styles_scripts(){
    
    echo "<style type='text/css' media='all' id='dynamic-styles'>";

    //top header Section
    $bloog_lite_logo_bkgimage = get_theme_mod('bloog_lite_logo_bkgimage');
    
    if(!empty($bloog_lite_logo_bkgimage)){echo 'header.site-header {background-image: url("'.$bloog_lite_logo_bkgimage.'"); }';}
    
    //Custom CSS CODE
    $custom_css = get_theme_mod('bloog_lite_custom_tools_css_code');
    if(!empty($custom_css)){echo $custom_css;}

    echo "</style>\n";

    //custom js
    $custom_js = get_theme_mod('bloog_lite_custom_tools_js_code');
    if(!empty($custom_js)){
        echo '<script type="text/javascript">'.$custom_js.'</script>';
    }

}

add_action('wp_head','bloog_lite_header_styles_scripts');